# Uses of Interface
ij.macro.MacroExtension

Packages that use MacroExtension
Package
Description
ij.macro

## Uses of MacroExtension in ij.macro

Fields in ij.macro declared as MacroExtension
Modifier and Type
Field
Description
`MacroExtension`
ExtensionDescriptor.`handler`
Methods in ij.macro with parameters of type MacroExtension
Modifier and Type
Method
Description
`static ExtensionDescriptor`
ExtensionDescriptor.`newDescriptor(String theName, MacroExtension theHandler)`
`static ExtensionDescriptor`
ExtensionDescriptor.`newDescriptor(String theName, MacroExtension theHandler, int type)`
`static ExtensionDescriptor`
ExtensionDescriptor.`newDescriptor(String theName, MacroExtension theHandler, int[] types)`
`static ExtensionDescriptor`
ExtensionDescriptor.`newDescriptor(String theName, MacroExtension theHandler, int t1, int t2)`
`static ExtensionDescriptor`
ExtensionDescriptor.`newDescriptor(String theName, MacroExtension theHandler, int t1, int t2, int t3)`
`static ExtensionDescriptor`
ExtensionDescriptor.`newDescriptor(String theName, MacroExtension theHandler, int t1, int t2, int t3, int t4)`
`static ExtensionDescriptor`
ExtensionDescriptor.`newDescriptor(String theName, MacroExtension theHandler, Integer[] types)`
`static void`
Functions.`registerExtensions(MacroExtension extensions)`
Constructors in ij.macro with parameters of type MacroExtension
Modifier
Constructor
Description
``
`ExtensionDescriptor(String theName, int[] theArgTypes, MacroExtension theHandler)`